Index: /code/branches/cpp11_v2/src/libraries/core/ApplicationPaths.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/ApplicationPaths.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/ApplicationPaths.h	(revision 10990)
@@ -104,5 +104,5 @@
 
         private:
-            ApplicationPaths(const ApplicationPaths&); //!< Don't use (undefined symbol)
+            ApplicationPaths(const ApplicationPaths&) = delete;
 
             std::vector<std::string> getModuleOrPluginPaths(boost::filesystem::path& directory, const std::string& extension);
Index: /code/branches/cpp11_v2/src/libraries/core/ClassTreeMask.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/ClassTreeMask.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/ClassTreeMask.h	(revision 10990)
@@ -276,5 +276,5 @@
         public:
             /// Default-constructor: Does nothing.
-            inline ClassTreeMaskObjectIterator() {}
+            inline ClassTreeMaskObjectIterator() = default;
             /// Copy-Constructor: Initializes the iterator from another ClassTreeMask.
             inline ClassTreeMaskObjectIterator(const ClassTreeMask& mask) { (*this) = mask; }
Index: /code/branches/cpp11_v2/src/libraries/core/ConfigurablePaths.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/ConfigurablePaths.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/ConfigurablePaths.h	(revision 10990)
@@ -93,5 +93,5 @@
 
         private:
-            ConfigurablePaths(const ConfigurablePaths&); //!< Don't use (undefined symbol)
+            ConfigurablePaths(const ConfigurablePaths&) = delete;
 
             boost::filesystem::path& dataPath_;              //!< Path to the data files folder
Index: /code/branches/cpp11_v2/src/libraries/core/Core.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/Core.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/Core.h	(revision 10990)
@@ -73,5 +73,5 @@
 
             /// Leave empty and use destroy() instead
-            ~Core() {}
+            ~Core() = default;
             /// Destructor that also executes when the object fails to construct
             void destroy();
@@ -92,5 +92,5 @@
 
         private:
-            Core(const Core&); //!< Don't use (undefined symbol)
+            Core(const Core&) = delete;
 
             void setThreadAffinity(int limitToCPU);
Index: /code/branches/cpp11_v2/src/libraries/core/CoreConfig.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/CoreConfig.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/CoreConfig.h	(revision 10990)
@@ -76,5 +76,5 @@
     public:
         DevModeListener();
-        virtual ~DevModeListener() {}
+        virtual ~DevModeListener() = default;
         virtual void devModeChanged(bool value) = 0;
     };
Index: /code/branches/cpp11_v2/src/libraries/core/GUIManager.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/GUIManager.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/GUIManager.h	(revision 10990)
@@ -97,5 +97,5 @@
 
         //! Leave empty and use cleanup() instead
-        ~GUIManager() {}
+        ~GUIManager() = default;
         /// Destructor that also executes when object fails to construct
         void destroy();
@@ -151,5 +151,5 @@
 
     private:
-        GUIManager(const GUIManager& instance); //!< private and undefined copy c'tor (this is a singleton class)
+        GUIManager(const GUIManager&) = delete;
 
         void executeCode(const std::string& str);
Index: /code/branches/cpp11_v2/src/libraries/core/Game.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/Game.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/Game.h	(revision 10990)
@@ -92,5 +92,5 @@
 
         //! Leave empty and use cleanup() instead
-        ~Game() {}
+        ~Game() = default;
         /// Destructor that also executes when object fails to construct
         void destroy();
@@ -122,5 +122,5 @@
         {
         public:
-            virtual ~GameStateFactory() { }
+            virtual ~GameStateFactory() = default;
             static std::shared_ptr<GameState> fabricate(const GameStateInfo& info);
             template <class T>
@@ -145,5 +145,5 @@
         };
 
-        Game(Game&); // don't mess with singletons
+        Game(const Game&) = delete;
 
         void loadGraphics();
Index: /code/branches/cpp11_v2/src/libraries/core/GameMode.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/GameMode.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/GameMode.h	(revision 10990)
@@ -63,7 +63,8 @@
 
         private:
-            GameMode();
-            GameMode(const GameMode& inst);
-            ~GameMode();
+            // static class, no instances allowed:
+            GameMode() = delete;
+            GameMode(const GameMode&) = delete;
+            ~GameMode() = delete;
 
             /// Checks if we're in control of the game (either standalone or server).
Index: /code/branches/cpp11_v2/src/libraries/core/GraphicsManager.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/GraphicsManager.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/GraphicsManager.h	(revision 10990)
@@ -71,5 +71,5 @@
 
         //! Leave empty and use cleanup() instead
-        ~GraphicsManager() {}
+        ~GraphicsManager() = default;
         /// Destructor that also executes when object fails to construct
         void destroy();
@@ -102,5 +102,5 @@
 
     private:
-        GraphicsManager(GraphicsManager&); // don't mess with singletons
+        GraphicsManager(const GraphicsManager&) = delete;
 
         // OGRE initialisation
Index: /code/branches/cpp11_v2/src/libraries/core/Language.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/Language.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/Language.h	(revision 10990)
@@ -171,5 +171,5 @@
 
         private:
-            Language(const Language&);
+            Language(const Language&) = delete;
 
             void readDefaultLanguageFile();
Index: /code/branches/cpp11_v2/src/libraries/core/Resource.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/Resource.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/Resource.h	(revision 10990)
@@ -141,7 +141,8 @@
 
     private:
-        Resource();
-        ~Resource();
-        Resource(const Resource& instance);
+        // static class, no instances allowed:
+        Resource() = delete;
+        Resource(const Resource&) = delete;
+        ~Resource() = delete;
     };
 }
Index: /code/branches/cpp11_v2/src/libraries/core/ViewportEventListener.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/ViewportEventListener.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/ViewportEventListener.h	(revision 10990)
@@ -44,5 +44,5 @@
         protected:
             ViewportEventListener();
-            virtual ~ViewportEventListener() {}
+            virtual ~ViewportEventListener() = default;
     };
 }
Index: /code/branches/cpp11_v2/src/libraries/core/WindowEventListener.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/WindowEventListener.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/WindowEventListener.h	(revision 10990)
@@ -47,5 +47,5 @@
         protected:
             WindowEventListener();
-            virtual ~WindowEventListener() { }
+            virtual ~WindowEventListener() = default;
 
             //! Returns the current render window width
Index: /code/branches/cpp11_v2/src/libraries/core/XMLNameListener.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/XMLNameListener.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/XMLNameListener.h	(revision 10990)
@@ -44,5 +44,5 @@
         public:
             XMLNameListener();
-            virtual ~XMLNameListener() {}
+            virtual ~XMLNameListener() = default;
 
             virtual void loadedNewXMLName(BaseObject* object) = 0;
Index: /code/branches/cpp11_v2/src/libraries/core/XMLPort.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/XMLPort.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/XMLPort.h	(revision 10990)
@@ -334,5 +334,5 @@
             XMLPortParamContainer()
                 { this->parseResult_ = PR_not_started; }
-            virtual ~XMLPortParamContainer() {}
+            virtual ~XMLPortParamContainer() = default;
 
             inline const std::string& getName() const
@@ -376,8 +376,4 @@
                 this->loadexecutor_ = loadexecutor;
                 this->saveexecutor_ = saveexecutor;
-            }
-
-            ~XMLPortClassParamContainer()
-            {
             }
 
@@ -511,5 +507,5 @@
             XMLPortObjectContainer()
                 { this->bApplyLoaderMask_ = false; }
-            virtual ~XMLPortObjectContainer() {}
+            virtual ~XMLPortObjectContainer() = default;
 
             XMLPortObjectContainer& port(BaseObject* object, Element& xmlelement, XMLPort::Mode mode);
@@ -550,8 +546,4 @@
                 this->bApplyLoaderMask_ = bApplyLoaderMask;
                 this->bLoadBefore_ = bLoadBefore;
-            }
-
-            ~XMLPortClassObjectContainer()
-            {
             }
 
Index: /code/branches/cpp11_v2/src/libraries/core/class/Identifier.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/class/Identifier.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/class/Identifier.h	(revision 10990)
@@ -118,5 +118,5 @@
         public:
             Identifier(const std::string& name, Factory* factory, bool bLoadable);
-            Identifier(const Identifier& identifier); // don't copy
+            Identifier(const Identifier&) = delete;
             virtual ~Identifier();
 
@@ -302,5 +302,5 @@
 
         private:
-            ClassIdentifier(const ClassIdentifier<T>& identifier) {}    // don't copy
+            ClassIdentifier(const ClassIdentifier<T>&) = delete;
 
             void setConfigValues(T* object, Configurable*) const;
Index: /code/branches/cpp11_v2/src/libraries/core/class/IdentifierManager.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/class/IdentifierManager.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/class/IdentifierManager.h	(revision 10990)
@@ -54,5 +54,5 @@
         public:
             IdentifierManager();
-            ~IdentifierManager() {}
+            ~IdentifierManager() = default;
 
             void addIdentifier(Identifier* identifier);
@@ -95,5 +95,5 @@
 
         private:
-            IdentifierManager(const IdentifierManager&); // not implemented
+            IdentifierManager(const IdentifierManager&) = delete;
 
             /// Increases the hierarchyCreatingCounter_s variable, causing all new objects to store their parents.
Index: /code/branches/cpp11_v2/src/libraries/core/command/CommandExecutor.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/CommandExecutor.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/command/CommandExecutor.h	(revision 10990)
@@ -132,7 +132,7 @@
 
         private:
-            CommandExecutor() {}                            ///< Empty constructor
-            CommandExecutor(const CommandExecutor& other);  ///< Not implemented copy-constructor
-            ~CommandExecutor() {}                           ///< Empty destructor
+            CommandExecutor() = default;                      ///< Empty constructor
+            CommandExecutor(const CommandExecutor&) = delete; ///< Not implemented copy-constructor
+            ~CommandExecutor() = default;                     ///< Empty destructor
 
             static CommandExecutor& getInstance();
Index: /code/branches/cpp11_v2/src/libraries/core/command/Executor.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/Executor.cc	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/command/Executor.cc	(revision 10990)
@@ -64,11 +64,4 @@
             defaultValue_[i] = other.defaultValue_[i];
         this->functor_ = other.functor_->clone();
-    }
-
-    /**
-        @brief Destructor
-    */
-    Executor::~Executor()
-    {
     }
 
Index: /code/branches/cpp11_v2/src/libraries/core/command/Executor.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/Executor.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/command/Executor.h	(revision 10990)
@@ -100,5 +100,5 @@
             Executor(const FunctorPtr& functor, const std::string& name = "");
             Executor(const Executor& other);
-            virtual ~Executor();
+            virtual ~Executor() = default;
 
             /// Calls the wrapped function with 0 arguments. If the function needs more arguments, the executor's default values are used.
Index: /code/branches/cpp11_v2/src/libraries/core/command/Functor.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/Functor.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/command/Functor.h	(revision 10990)
@@ -187,5 +187,5 @@
 
         public:
-            virtual ~Functor() {}
+            virtual ~Functor() = default;
 
             /// Calls the function-pointer with up to five arguments. In case of a member-function, the assigned object-pointer is used to call the function. @return Returns the return-value of the function (if any; MultiType::Null otherwise)
Index: /code/branches/cpp11_v2/src/libraries/core/command/IRC.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/IRC.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/command/IRC.h	(revision 10990)
@@ -65,6 +65,6 @@
 
             IRC();
-            IRC(const IRC& other);              ///< Copy-constructor: Not implemented
-            ~IRC() {}                           ///< Destructor
+            IRC(const IRC&) = delete;
+            ~IRC() = default;
 
             Tcl::interpreter* interpreter_;     ///< The Tcl interpreter that is used for the IRC connection
Index: /code/branches/cpp11_v2/src/libraries/core/command/Shell.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/Shell.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/command/Shell.h	(revision 10990)
@@ -61,5 +61,6 @@
 
         public:
-            virtual ~ShellListener() {}
+            ShellListener() = default;
+            virtual ~ShellListener() = default;
 
         private:
@@ -148,5 +149,5 @@
 
         private:
-            Shell(const Shell& other);
+            Shell(const Shell&) = delete;
 
             // DevModeListener
Index: /code/branches/cpp11_v2/src/libraries/core/command/TclBind.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/TclBind.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/command/TclBind.h	(revision 10990)
@@ -124,5 +124,5 @@
 
         private:
-            TclBind(const TclBind& other);      ///< Copy-constructor, not implemented
+            TclBind(const TclBind&) = delete;
 
             static std::string tcl_helper(Tcl::object const &args, bool bQuery);
Index: /code/branches/cpp11_v2/src/libraries/core/commandline/CommandLineParser.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/commandline/CommandLineParser.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/commandline/CommandLineParser.h	(revision 10990)
@@ -107,6 +107,5 @@
 
     private:
-        //! Undefined copy constructor
-        CommandLineArgument(const CommandLineArgument& instance);
+        CommandLineArgument(const CommandLineArgument&) = delete;
 
         //! Parses the value string of a command line argument.
Index: /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileEntry.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileEntry.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileEntry.h	(revision 10990)
@@ -51,5 +51,5 @@
         public:
             /// Destructor
-            virtual ~ConfigFileEntry() {};
+            virtual ~ConfigFileEntry() = default;
 
             /// Changes the value of the entry.
Index: /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileEntryComment.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileEntryComment.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileEntryComment.h	(revision 10990)
@@ -54,5 +54,5 @@
 
             /// Destructor
-            virtual inline ~ConfigFileEntryComment() {}
+            virtual inline ~ConfigFileEntryComment() = default;
 
             virtual inline const std::string& getName() const override
Index: /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileEntryValue.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileEntryValue.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileEntryValue.h	(revision 10990)
@@ -67,5 +67,5 @@
 
             /// Destructor
-            virtual inline ~ConfigFileEntryValue() {}
+            virtual inline ~ConfigFileEntryValue() = default;
 
             virtual inline const std::string& getName() const override
Index: /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileEntryVectorValue.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileEntryVectorValue.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileEntryVectorValue.h	(revision 10990)
@@ -65,5 +65,5 @@
 
             /// Destructor
-            inline ~ConfigFileEntryVectorValue() {}
+            inline ~ConfigFileEntryVectorValue() = default;
 
             virtual inline unsigned int getIndex() const override
Index: /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileManager.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileManager.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileManager.h	(revision 10990)
@@ -67,5 +67,5 @@
 
         private:
-            ConfigFileManager(const ConfigFileManager&);    ///< Copy-constructor: not implemented
+            ConfigFileManager(const ConfigFileManager&) = delete;
 
             std::array<ConfigFile*, 3> configFiles_;        ///< Stores the config files for each type in an array (must have the same size like ConfigFileType::Value)
Index: /code/branches/cpp11_v2/src/libraries/core/config/ConfigValueContainer.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/config/ConfigValueContainer.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/config/ConfigValueContainer.h	(revision 10990)
@@ -67,5 +67,5 @@
         public:
             inline ConfigValueCallback(void (T::*function) (void)) : function_(function) {}
-            virtual inline ~ConfigValueCallback() {}
+            virtual inline ~ConfigValueCallback() = default;
             virtual inline void call(void* object) override
             {
Index: /code/branches/cpp11_v2/src/libraries/core/input/InputBuffer.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/InputBuffer.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/input/InputBuffer.h	(revision 10990)
@@ -47,5 +47,5 @@
               trueKeyFalseChar_(trueKeyFalseChar), char_(_char), key_(key)
         { }
-        virtual ~BaseInputBufferListenerTuple() { }
+        virtual ~BaseInputBufferListenerTuple() = default;
         virtual void callFunction() = 0;
         bool bListenToAllChanges_;
@@ -65,5 +65,5 @@
               listener_(listener), function_(function)
         { }
-        virtual ~InputBufferListenerTuple() { }
+        virtual ~InputBufferListenerTuple() = default;
         virtual void callFunction() override
         {
Index: /code/branches/cpp11_v2/src/libraries/core/input/InputCommands.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/InputCommands.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/input/InputCommands.h	(revision 10990)
@@ -57,5 +57,5 @@
     public:
         BaseCommand() : bFixedKeybindMode_(false) {}
-        virtual ~BaseCommand() { }
+        virtual ~BaseCommand() = default;
 
         virtual bool execute(float abs = 1.0f, float rel = 1.0f) = 0;
Index: /code/branches/cpp11_v2/src/libraries/core/input/InputDevice.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/InputDevice.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/input/InputDevice.h	(revision 10990)
@@ -60,5 +60,5 @@
         //! Only resets the members
         InputDevice(unsigned int id) : bCalibrating_(false), deviceID_(id) { }
-        virtual ~InputDevice() { }
+        virtual ~InputDevice() = default;
         //! Returns the device class (derived) name as string
         virtual std::string getClassName() const = 0;
@@ -99,5 +99,5 @@
 
     private:
-        InputDevice(const InputDevice& rhs); //!< Don't use!
+        InputDevice(const InputDevice&) = delete;
 
         bool bCalibrating_;                  //!< Whether the device is in calibration mode
Index: /code/branches/cpp11_v2/src/libraries/core/input/InputHandler.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/InputHandler.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/input/InputHandler.h	(revision 10990)
@@ -119,5 +119,5 @@
     {
     public:
-        virtual ~InputHandler() { }
+        virtual ~InputHandler() = default;
 
         template<class T> void buttonEvent(unsigned int device, T button, ButtonEvent::TPress)
Index: /code/branches/cpp11_v2/src/libraries/core/input/InputManager.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/InputManager.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/input/InputManager.h	(revision 10990)
@@ -192,6 +192,5 @@
 
     private: // functions
-        // don't mess with a Singleton
-        InputManager(const InputManager&);
+        InputManager(const InputManager&) = delete;
 
         // Internal methods
Index: /code/branches/cpp11_v2/src/libraries/core/input/InputState.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/InputState.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/input/InputState.h	(revision 10990)
@@ -155,5 +155,5 @@
     private:
         InputState(const std::string& name, bool bAlwaysGetsInput, bool bTransparent, InputStatePriority priority);
-        ~InputState() { }
+        ~InputState() = default;
 
         virtual void JoyStickQuantityChanged(const std::vector<JoyStick*>& joyStickList) override;
Index: /code/branches/cpp11_v2/src/libraries/core/input/JoyStick.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/JoyStick.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/input/JoyStick.h	(revision 10990)
@@ -70,5 +70,5 @@
         //! Assigns a generated ID string and loads the calibration (if present)
         JoyStick(unsigned int id, OIS::InputManager* oisInputManager);
-        ~JoyStick() { }
+        ~JoyStick() = default;
         void setConfigValues();
 
Index: /code/branches/cpp11_v2/src/libraries/core/input/JoyStickQuantityListener.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/JoyStickQuantityListener.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/input/JoyStickQuantityListener.h	(revision 10990)
@@ -48,5 +48,5 @@
     protected:
         JoyStickQuantityListener();
-        virtual ~JoyStickQuantityListener() { }
+        virtual ~JoyStickQuantityListener() = default;
 
         //! Returns a list with all JoySticks currently loaded
Index: /code/branches/cpp11_v2/src/libraries/core/input/KeyBinderManager.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/KeyBinderManager.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/input/KeyBinderManager.h	(revision 10990)
@@ -102,5 +102,5 @@
 
     private:
-        KeyBinderManager(const KeyBinderManager&);
+        KeyBinderManager(const KeyBinderManager&) = delete;
         void keybindInternal(const std::string& command, bool bTemporary);
         void keybindKeyPressed(const std::string& keyName);
Index: /code/branches/cpp11_v2/src/libraries/core/input/KeyDetector.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/KeyDetector.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/input/KeyDetector.h	(revision 10990)
@@ -48,5 +48,5 @@
 
     private:
-        KeyDetector(const KeyDetector&);
+        KeyDetector(const KeyDetector&) = delete;
 
         void callback(const std::string& name);
Index: /code/branches/cpp11_v2/src/libraries/core/input/Keyboard.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/Keyboard.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/input/Keyboard.h	(revision 10990)
@@ -63,5 +63,5 @@
         //! Only resets the keyboard modifiers. Initialising is done in the base class.
         Keyboard(unsigned int id, OIS::InputManager* oisInputManager) : super(id, oisInputManager), modifiers_(0) { }
-        ~Keyboard() { }
+        ~Keyboard() = default;
 
     private:
Index: /code/branches/cpp11_v2/src/libraries/core/module/StaticInitializationHandler.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/module/StaticInitializationHandler.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/module/StaticInitializationHandler.h	(revision 10990)
@@ -37,6 +37,6 @@
     {
         public:
-            StaticInitializationHandler() {}
-            virtual ~StaticInitializationHandler() {}
+            StaticInitializationHandler() = default;
+            virtual ~StaticInitializationHandler() = default;
 
             virtual void setupHandler() = 0;
Index: /code/branches/cpp11_v2/src/libraries/core/module/StaticInitializationManager.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/module/StaticInitializationManager.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/module/StaticInitializationManager.h	(revision 10990)
@@ -43,6 +43,6 @@
 
         public:
-            StaticInitializationManager() {}
-            virtual ~StaticInitializationManager() {}
+            StaticInitializationManager() = default;
+            virtual ~StaticInitializationManager() = default;
 
             void addHandler(StaticInitializationHandler* handler);
Index: /code/branches/cpp11_v2/src/libraries/core/object/ClassFactory.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/object/ClassFactory.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/object/ClassFactory.h	(revision 10990)
@@ -53,5 +53,6 @@
     {
         public:
-            virtual ~Factory() {}
+            Factory() = default;
+            virtual ~Factory() = default;
             virtual Identifiable* fabricate(Context* context) = 0;
     };
Index: /code/branches/cpp11_v2/src/libraries/core/object/ObjectListBase.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/object/ObjectListBase.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/object/ObjectListBase.h	(revision 10990)
@@ -104,5 +104,6 @@
     {
         public:
-            virtual ~ObjectListElementRemovalListener() {}
+            ObjectListElementRemovalListener = default;
+            virtual ~ObjectListElementRemovalListener() = default;
             virtual void removedElement(ObjectListBaseElement* element) = 0;
     };
Index: /code/branches/cpp11_v2/src/libraries/core/singleton/Scope.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/singleton/Scope.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/singleton/Scope.h	(revision 10990)
@@ -72,5 +72,5 @@
         protected:
             ScopeListener() : bActivated_(false) { }
-            virtual ~ScopeListener() { }
+            virtual ~ScopeListener() = default;
 
             //! Gets called if the scope is activated
Index: /code/branches/cpp11_v2/src/libraries/core/singleton/ScopedSingletonWrapper.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/singleton/ScopedSingletonWrapper.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/core/singleton/ScopedSingletonWrapper.h	(revision 10990)
@@ -64,5 +64,5 @@
                 : className_(className)
             { }
-            virtual ~ScopedSingletonWrapper() { }
+            virtual ~ScopedSingletonWrapper() = default;
 
         protected:
Index: /code/branches/cpp11_v2/src/libraries/tools/ResourceCollection.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/tools/ResourceCollection.cc	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/tools/ResourceCollection.cc	(revision 10990)
@@ -48,8 +48,4 @@
     }
 
-    ResourceCollection::~ResourceCollection()
-    {
-    }
-
     void ResourceCollection::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
Index: /code/branches/cpp11_v2/src/libraries/tools/ResourceCollection.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/tools/ResourceCollection.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/tools/ResourceCollection.h	(revision 10990)
@@ -42,5 +42,5 @@
     public:
         ResourceCollection(Context* context);
-        virtual ~ResourceCollection();
+        virtual ~ResourceCollection() = default;
 
         virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
@@ -54,5 +54,5 @@
 
     private:
-        ResourceCollection(const ResourceCollection&);
+        ResourceCollection(const ResourceCollection&) = delete;
 
         std::string resourceGroup_;
Index: /code/branches/cpp11_v2/src/libraries/tools/ResourceLocation.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/tools/ResourceLocation.cc	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/tools/ResourceLocation.cc	(revision 10990)
@@ -54,8 +54,4 @@
     }
 
-    ResourceLocation::~ResourceLocation()
-    {
-    }
-
     void ResourceLocation::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
Index: /code/branches/cpp11_v2/src/libraries/tools/ResourceLocation.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/tools/ResourceLocation.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/tools/ResourceLocation.h	(revision 10990)
@@ -44,5 +44,5 @@
     public:
         ResourceLocation(Context* context);
-        virtual ~ResourceLocation();
+        virtual ~ResourceLocation() = default;
 
         virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
@@ -60,5 +60,5 @@
 
     private:
-        ResourceLocation(const ResourceLocation&);
+        ResourceLocation(const ResourceLocation&) = delete;
 
         void load(const std::string& resourceGroup);
Index: /code/branches/cpp11_v2/src/libraries/tools/TextureGenerator.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/tools/TextureGenerator.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/tools/TextureGenerator.h	(revision 10990)
@@ -49,7 +49,8 @@
 
     private:
-        TextureGenerator();
-        TextureGenerator(const TextureGenerator&);
-        ~TextureGenerator();
+        // static class, no instances allowed:
+        TextureGenerator() = delete;
+        TextureGenerator(const TextureGenerator&) = delete;
+        ~TextureGenerator() = delete;
 
         static std::map<std::string, std::map<ColourValue, std::string>> materials_s;
Index: /code/branches/cpp11_v2/src/libraries/tools/interfaces/TimeFactorListener.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/tools/interfaces/TimeFactorListener.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/tools/interfaces/TimeFactorListener.h	(revision 10990)
@@ -39,5 +39,5 @@
         public:
             TimeFactorListener();
-            virtual ~TimeFactorListener() {}
+            virtual ~TimeFactorListener() = default;
 
             static void setTimeFactor(float factor);
Index: /code/branches/cpp11_v2/src/libraries/util/Clock.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/Clock.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/util/Clock.h	(revision 10990)
@@ -102,6 +102,5 @@
 
     private:
-        /// Undefined
-        Clock(const Clock& instance);
+        Clock(const Clock&) = delete;
 
         Ogre::Timer*       timer_;       ///< Ogre timer object
Index: /code/branches/cpp11_v2/src/libraries/util/DestructionHelper.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/DestructionHelper.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/util/DestructionHelper.h	(revision 10990)
@@ -87,5 +87,5 @@
 
     private:
-        DestructionHelper(const DestructionHelper&); //!< Don't use (undefined)
+        DestructionHelper(const DestructionHelper&) = delete;
 
         T* object_;
Index: /code/branches/cpp11_v2/src/libraries/util/ImplicitConversion.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/ImplicitConversion.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/util/ImplicitConversion.h	(revision 10990)
@@ -68,5 +68,8 @@
     {
     private:
-        ImplicitConversion(); ImplicitConversion(const ImplicitConversion&); ~ImplicitConversion();
+        // static class, no instances allowed:
+        ImplicitConversion() = delete;
+        ImplicitConversion(const ImplicitConversion&) = delete;
+        ~ImplicitConversion() = delete;
         // Gets chosen only if there is an implicit conversion from FromType to ToType.
         static char test(ToType);
Index: /code/branches/cpp11_v2/src/libraries/util/Singleton.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/Singleton.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/util/Singleton.h	(revision 10990)
@@ -144,5 +144,5 @@
 
     private:
-        Singleton(const Singleton& rhs); //!< Don't use (undefined)
+        Singleton(const Singleton&) = delete;
     };
 }
Index: /code/branches/cpp11_v2/src/libraries/util/output/ConsoleWriter.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/output/ConsoleWriter.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/util/output/ConsoleWriter.h	(revision 10990)
@@ -53,5 +53,5 @@
         public:
             ConsoleWriter(std::ostream& outputStream);
-            ConsoleWriter(const ConsoleWriter&);
+            ConsoleWriter(const ConsoleWriter&) = delete;
             virtual ~ConsoleWriter();
 
Index: /code/branches/cpp11_v2/src/libraries/util/output/LogWriter.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/output/LogWriter.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/util/output/LogWriter.h	(revision 10990)
@@ -57,5 +57,5 @@
         public:
             LogWriter();
-            LogWriter(const LogWriter&);
+            LogWriter(const LogWriter&) = delete;
             virtual ~LogWriter();
 
Index: /code/branches/cpp11_v2/src/libraries/util/output/MemoryWriter.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/output/MemoryWriter.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/util/output/MemoryWriter.h	(revision 10990)
@@ -68,5 +68,5 @@
         public:
             MemoryWriter();
-            MemoryWriter(const MemoryWriter&);
+            MemoryWriter(const MemoryWriter&) = delete;
             virtual ~MemoryWriter();
 
Index: /code/branches/cpp11_v2/src/libraries/util/output/OutputManager.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/util/output/OutputManager.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/libraries/util/output/OutputManager.h	(revision 10990)
@@ -67,5 +67,5 @@
         public:
             OutputManager();
-            OutputManager(const OutputManager&);
+            OutputManager(const OutputManager&) = delete;
             virtual ~OutputManager();
 
Index: /code/branches/cpp11_v2/src/orxonox/CameraManager.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/CameraManager.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/orxonox/CameraManager.h	(revision 10990)
@@ -59,5 +59,5 @@
 
         private:
-            CameraManager(const CameraManager&); // don't use
+            CameraManager(const CameraManager&) = delete;
 
             std::list<Camera*>    cameraList_;
Index: /code/branches/cpp11_v2/src/orxonox/LevelManager.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/LevelManager.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/orxonox/LevelManager.h	(revision 10990)
@@ -109,5 +109,5 @@
 
         private:
-            LevelManager(const LevelManager&);
+            LevelManager(const LevelManager&) = delete;
 
             void activateNextLevel(); //!< Activate the next level.
Index: /code/branches/cpp11_v2/src/orxonox/chat/ChatManager.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/chat/ChatManager.h	(revision 10989)
+++ /code/branches/cpp11_v2/src/orxonox/chat/ChatManager.h	(revision 10990)
@@ -47,5 +47,5 @@
         public:
             ChatManager();
-            virtual ~ChatManager() {}
+            virtual ~ChatManager() = default;
 
             static void message(const std::string& message, unsigned int targetID = NETWORK_PEER_ID_BROADCAST);
@@ -53,5 +53,5 @@
 
         protected:
-            ChatManager(const ChatManager&);
+            ChatManager(const ChatManager&) = delete;
 
             virtual void incomingChat(const std::string& message, unsigned int sourceID) override;
